package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkWholesaleOutboundorderCommitRequest struct {
	/*
	   发货信息参数     */
	OutboundInfoCommitReq *domain.AlibabaWdkWholesaleOutboundorderCommitOutboundInfoCommitReq `json:"outbound_info_commit_req" required:"true" `
}

func (s *AlibabaWdkWholesaleOutboundorderCommitRequest) SetOutboundInfoCommitReq(v domain.AlibabaWdkWholesaleOutboundorderCommitOutboundInfoCommitReq) *AlibabaWdkWholesaleOutboundorderCommitRequest {
	s.OutboundInfoCommitReq = &v
	return s
}

func (req *AlibabaWdkWholesaleOutboundorderCommitRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OutboundInfoCommitReq != nil {
		paramMap["outbound_info_commit_req"] = util.ConvertStruct(*req.OutboundInfoCommitReq)
	}
	return paramMap
}

func (req *AlibabaWdkWholesaleOutboundorderCommitRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
